<!DOCTYPE html>
<html lang="ko">
<head>
<title>전계좌조회</title>
<%- include('../_helpers/html_header') %>
<script>
function doDelete(delUrl) {
	if(!confirm('Are you really delete it?')) return;
	location.href = delUrl;
}
</script>
</head>

<body>
	<script>
		$( function() {
			$("#btn-insert").off().on( "click", function() {
				location.href = "/insert";
			});	
		})
	</script>
	
	<div class="container">
		<h2>상품테이블</h2>

		<button id="btn-insert">상품추가</button> 
		&nbsp;<a href="/logout">Logout</a> 
		<p>상품테이블 목록입니다.</p>

		<table class="table table-striped">
			<thead>
				<tr>
					<th>상품명</th>
					<th>상품번호</th>
					<th>분류</th>
					<th>작성자ID</th>
					<th>작성자명</th>
					<th>수정</th>
					<th>삭제</th>
				</tr>
			</thead>
			<tbody>
				<% data.forEach(function (item,index){ %>
				<tr>
					<td><a href='/detail/<%= item.id %>'><%= item.prod_name %></a></td>
					<td><%= item.prod_no %></td>
					<td><%= item.prod_section %></td>
					<td><%= item.author_id %></td>
					<td><%= item.author_name %></td>
					<% if(user.username === item.author_id) { %>
					<td><a href="/edit/<%= item.id %>">수정</a></td>
					<td><a href="javascript:doDelete('/delete/<%= item.id %>');">삭제</a></td>
					<% } else { %>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<% } %>
				</tr>
				<% })%>
			</tbody>
		</table>
	</div>

	<br>
	<br>

	<div class="container">
		<ul class="pager">

			<% 
			var curSet = paging.curSet; 
			var endPage = paging.endPage;
			var startPage = paging.startPage;
		 	var totalSet = paging.totalSet;
		 	var totalPage = paging.totalPage;
		 	var pageListSize = 	paging.pageListSize;
		 	var pageSize = paging.pageSize;
		 	var curPage = paging.curPage;
		 	%> 
			
			<% if(curSet > 1){ %>

			<li value=(startPage -1) class="previous"><a
				href='/paging/<%= ( startPage - 1) %>'>이전페이지</a></li> 
			<% } %> 
			<% for(var
			i = startPage; i <= endPage; i++){ if(i > totalPage){break;} if(i ==
			curPage) { 
			%>
			<li value=<%= i %> class='' > <a href='/paging/<%= i %>'>
					<%= i %> </a>
			</li> <% }else{ %>

			<li value=<%= i %> class='active' > <a href='/paging/<%= i %>'>
					<%= i %> </a>
			</li> <% } %> <% } %> <% if(curSet < totalSet){ %>
			<li value=( endPage + 1) class="next"><a
				href='/paging/<%= ( endPage + 1) %>'>다음페이지</a></li> <% } %>

		</ul>
	</div>

	<br>
	<br>
</body>

</html>
